#!/bin/bash
#
#从服务中心下线
curl -X POST 'http://localhost:8072/actuator/service-registry?status=DOWN' -H 'cache-control: no-cache' -H 'content-type: application/json' -d '{}'
sleep 60
#从nacos里踢除服务
curl -X POST 'http://localhost:8072/actuator/shutdown' -H 'cache-control: no-cache'
sleep 5

ps -ef | grep [p]ortal-app-v0.0.1.jar | grep -v grep |grep -v "portal-app.sh" | awk '{print $2}'|xargs kill -9
sleep 5

cd /data/TSP/
# 检查jar包是否存在
if [ -f portal-app-v0.0.1.jar ];then
	mv portal-app-v0.0.1.jar ./backups/portal-app-v0.0.1.jar-$(date +%F_%T)
fi

# jar包重命名
mv /data/TSP/portal-app-v0.0.1.jar.1 /data/TSP/portal-app-v0.0.1.jar
sleep 5
# 运行jar包
nohup java -Xms2g -Xmx2g -Xmn1g -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/portal-app.log -javaagent:/opt/agent/skywalking-agent.jar  -Dskywalking.agent.service_name=portal-app-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27006:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/portal-app-v0.0.1.jar > /data/logs/portal-app.log 2>&1 &
sleep 5
cd
pid=`ps -ef | grep [p]ortal-app-v0.0.1.jar | grep -v grep |grep -v "portal-app.sh" | awk '{print $2}'`
if [ "$pid" == "" ]; then
        echo '启动不正常，再次启动'>/tmp/1-app.txt
	nohup java -Xms2g -Xmx2g -Xmn1g -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/portal-app.log  -javaagent:/opt/agent/skywalking-agent.jar  -Dskywalking.agent.service_name=portal-app-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27006:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/portal-app-v0.0.1.jar > /data/logs/portal-app.log 2>&1 &
else
        echo '正常'>/tmp/2-app.txt
fi
cd
exit 0
